.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to add Paletteset for AutoCAD 2013 c#

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
wkt
Explorer
2063 Views, 4 Replies

How to add Paletteset for AutoCAD 2013 c#

I cant find Autodesk.AutoCAD.Windows.PaletteSet as My Program,

im import AutoCAD 2013 x64 Directorys
accoremgd.dll
acdbmgd.dll
as my source.

Program is using c# 4.0

Please help me.

   // this is my class source.

   using ACAD = Autodesk.AutoCAD.ApplicationServices.Core;
   using Autodesk.AutoCAD.Runtime;





4 REPLIES 4
Message 2 of 5
amanero
in reply to: wkt

Did you add the "AcMgd" reference?

Luis Alberto Manero, Geograma.com
Message 3 of 5
wkt
Explorer
in reply to: amanero

Thank youSmiley Wink

Message 4 of 5
mchan01
in reply to: wkt

Is it possible to add a usercontrol on the paletteset on runtime?

My scenario is i already have a blank palette and i would to place a button inside and as soon as i click the button, i want to add an instance of my usercontrol..

 

the button will act like a menu button or some add button.

 

Thanks

Message 5 of 5
norman.yuan
in reply to: mchan01

Firstly, your question is not much relevant to the original post, which has already accepted a solution. Appending your irrelevant question in this thread may result in lower attention and fewer replies. You'd better post in a new thread, and add link to other posts if you think they coul be somehow related.

 

To your question:

 

Palette itself is a UserControl (if you add a custom System.Windows.Forms.UserControl into PaletteSet), and yes, you can add Windows.Forms.Control (including UserControl) dynamically at runtime into another Control, if it is a Control container, such as UserControl, Form...

 

The code would be like:

 

public class MyPalette:UserControl

{

    ...

    private void Button1_Click(....)

    {

        //Add a textbox

        TextBox txt=new TextBox()

        txt.Name="TextBox1";

        txt.Text="This is new text box";

        txt.Location=new Point(5,5);

        txt.Size=new Size(20,100);

        this.Controls.Add(txt)

 

        //Add something else

    }

}

 

Although you can add controls to a control container at runtime, it does not mean it always worth doing it: it is difficult to maintain the code, debuging is a pain.

 

One alternative way is to add all controls at design time and turn their visibility on/off, or enable/disable them accordingly.

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost